# Trigger support package creation on a device

post ` https://app.mk.io/api/v1/projects/:project_name/fleet/devices/:name/supportPackages`

Requests the device to generate a support package and upload it to cloud storage. Returns 202 with a timestamp and upload URL (SAS token stripped). Only one support package operation can be in progress at a time per device.

RBAC Capability Required: `fleet.device.update`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

- **project_name** string Required
- **name** string Required

## Request

This endpoint expects an object.

- **metadata** object [DefaultMetadata](https://docs.mediakind.com/api-reference/fleets-api/schemas/defaultmetadata) Required  
  Resource metadata.
  
    - **displayName** string Required  
      A human-readable name for the resource.
    - **labels** map from strings to string Optional  
      A dictionary of labels associated with the resource.  
      Maximum number of labels: 32.  
      Maximum length of a label or value: 256 characters.  
      Label: alphanumeric, hyphens and underscores.
      Value: alphanumeric, hyphens, underscores and spaces.
      
      `[any key]` string

- **spec** object [SupportPackageBodySpec](https://docs.mediakind.com/api-reference/fleets-api/schemas/supportpackagebodyspec) Required  
  Support package specification
  
    - **collectors** list of strings Optional  
      Optional list of collector components to include in the support package. If omitted, all available collectors on the device will be included.
    - **description** string Required <=2048 characters  
      A description explaining the reason for generating the support package.
    - **name** string Optional <=255 characters  
      A user-friendly name for the support package. Choose a name that describes the issue, e.g. 'pcr-timing-issue-2026-02-23'. If omitted, a name is auto-generated from the request timestamp.

## Response

202 Support package creation triggered.

No response body.

## Errors

- **400 Bad Request**  
  - **error** object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required  
    Pertinent information about the error
    - **code** string Required  
    - **detail** string Required  
    - **extraDetail** map from strings to any Optional  
      Extra information regarding this error.  
      `[any key]` any  
    - **ref** string Required  
    - **status** integer Required

- **401 Unauthorized**  
  - **error** object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required  
    Pertinent information about the error  
    - **code** string Required  
    - **detail** string Required  
    - **extraDetail** map from strings to any Optional  
      Extra information regarding this error.  
      `[any key]` any  
    - **ref** string Required  
    - **status** integer Required

- **403 Forbidden**  
  - **error** object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required  
    Pertinent information about the error  
    - **code** string Required  
    - **detail** string Required  
    - **extraDetail** map from strings to any Optional  
      Extra information regarding this error.  
      `[any key]` any  
    - **ref** string Required  
    - **status** integer Required

- **404 Not Found**  
  - **error** object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required  
    Pertinent information about the error  
    - **code** string Required  
    - **detail** string Required  
    - **extraDetail** map from strings to any Optional  
      Extra information regarding this error.  
      `[any key]` any  
    - **ref** string Required  
    - **status** integer Required

- **409 Conflict**  
  - **error** object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required  
    Pertinent information about the error  
    - **code** string Required  
    - **detail** string Required  
    - **extraDetail** map from strings to any Optional  
      Extra information regarding this error.  
      `[any key]` any  
    - **ref** string Required  
    - **status** integer Required

- **429 Too Many Requests**  
  - **error** object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required  
    Pertinent information about the error  
    - **code** string Required  
    - **detail** string Required  
    - **extraDetail** map from strings to any Optional  
      Extra information regarding this error.  
      `[any key]` any  
    - **ref** string Required  
    - **status** integer Required

- **500 Internal Server Error**  
  - **error** object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required  
    Pertinent information about the error  
    - **code** string Required  
    - **detail** string Required  
    - **extraDetail** map from strings to any Optional  
      Extra information regarding this error.  
      `[any key]` any  
    - **ref** string Required  
    - **status** integer Required
